%define rel	10

Name:           basket
Version:        2.49b
Release:        %mkrel %{rel}
Summary:        BasKet Note Pads - a system for organizing information in KDE
Group:          Office/Organizer
License:        GPLv2+
# https://basket-notepads.github.io
Url:            https://invent.kde.org/utilities/basket
# https://github.com/basket-notepads/basket
Source0:        https://invent.kde.org/utilities/basket/-/archive/v%{version}/%{name}-v%{version}.tar.gz
# https://phabricator.kde.org/D27990
Patch1:         0001-Added-support-for-libgit2-0.99.patch
Patch2:         0001-Fix-build-against-libgit-1.8.patch
Patch3:         basket-fix-build-with-gcc14.patch
Patch4:         0001-fix-build-for-cmake-4.0.patch

BuildRequires:  gettext
BuildRequires:  gpgme-devel
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  pkgconfig(x11)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
# For documentation, https://github.com/basket-notepads/basket/issues/35
BuildRequires:  kdelibs4support

BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
This application is mainly an all-purpose notes taker.
It provide several baskets where to drop every sort of
items: text, rich text, links, images, sounds, files,
colors, application launcher...
Objects can be edited, copied, dragged... So, you can
arrange them as you want !
This application can be used to quickly drop web objects
(link, text, images...) or notes, as well as to free your
cluttered desktop (if any).
It is also useful to collect information for a report.
Those data can be shared with co-workers by exporting
baskets to HTML.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_iconsdir}/hicolor/16x16/actions/*.png
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_services}/%{name}*.desktop
%{_qt5_plugindir}/%{name}thumbcreator.so
%{_qt5_plugindir}/kcm_%{name}.so

#--------------------------------------------------------------------

%define basketcommon_major 5
%define libbasketcommon %mklibname basketcommon %{basketcommon_major}

%package -n %{libbasketcommon}
Summary:        Library files for %{name}
Group:          Office/Organizer

%description -n %{libbasketcommon}
Library files for %{name}.

%files -n %{libbasketcommon}
%{_kf5_libdir}/lib%{name}common.so.%{basketcommon_major}{,.*}

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/lib%{name}common.so

%find_lang %{name} --with-html


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.49b-10.mga10
+ Revision: 2234938
- Mageia 10 Mass Rebuild
+ daviddavid <daviddavid>
- fix build with cmake 4.0
+ aurr <aurr>
- add patch for cmake-4.0

* Tue Jan 28 2025 papoteur <papoteur> 2.49b-9.mga10
+ Revision: 2143146
- rebuild for libgit2 1.9.0

* Tue Jan 07 2025 ns80 <ns80> 2.49b-8.mga10
+ Revision: 2135900
- try to fix building with GCC 14

* Sat Sep 21 2024 daviddavid <daviddavid> 2.49b-7.mga10
+ Revision: 2099812
- backport upstream patch to fix build with libgit 1.8
+ papoteur <papoteur>
- rebuild for libgit2 1.8

* Wed Jan 10 2024 daviddavid <daviddavid> 2.49b-6.mga10
+ Revision: 2029369
- rebuild for new libgit2 1.7.1

* Wed Apr 06 2022 umeabot <umeabot> 2.49b-5.mga9
+ Revision: 1846194
- Mageia 9 Mass Rebuild

* Mon Jan 03 2022 wally <wally> 2.49b-4.mga9
+ Revision: 1766334
- rebuild for libgit2 1.3.0

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2.49b-3.mga8
+ Revision: 1666236
- rebuild for libgit2

* Wed Dec 16 2020 umeabot <umeabot> 2.49b-2.mga8
+ Revision: 1658151
- Rebuild for new Qt5

* Fri Jul 24 2020 daviddavid <daviddavid> 2.49b-1.mga8
+ Revision: 1608625
- new version: 2.49b
- update Url and Source Url
- add support for libgit2 >= 0.99
- rebuild for new libgit2 1.0.1

* Sat Feb 15 2020 umeabot <umeabot> 2.49-0.20180228.6.mga8
+ Revision: 1526246
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 29 2019 pterjan <pterjan> 2.49-0.20180228.5.mga7
+ Revision: 1395922
- Rebuild for libgit2 0.28.1 on armv7hl

* Sat Apr 20 2019 wally <wally> 2.49-0.20180228.4.mga7
+ Revision: 1393748
- rebuild for libgit2 0.28.1

* Sat Mar 30 2019 umeabot <umeabot> 2.49-0.20180228.3.mga7
+ Revision: 1381304
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.49-0.20180228.2.mga7
+ Revision: 1295348
- Mageia 7 Mass Rebuild

* Tue Mar 27 2018 kekepower <kekepower> 2.49-0.20180228.1.mga7
+ Revision: 1212753
- Update to 2.49-0.20180228

* Sat Jul 29 2017 akien <akien> 2.49-0.20170225.1.mga7
+ Revision: 1132592
- BR kdelibs4support for ktex.dtd template
- Version 2.49 alpha (20170225) with KF5 port
- Unobsolete basket, there is a KF5 port available
+ sander85 <sander85>
- Unmaintained and build fails

* Wed Oct 15 2014 umeabot <umeabot> 1.81-8.mga5
+ Revision: 750885
- Second Mageia 5 Mass Rebuild
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.81-6.mga5
+ Revision: 678123
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.81-5.mga4
+ Revision: 503077
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.81-4.mga3
+ Revision: 346875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 neoclust <neoclust> 1.81-3.mga3
+ Revision: 341077
- Fix group

* Tue Sep 06 2011 tv <tv> 1.81-1.mga2
+ Revision: 139246
- new release

* Wed May 11 2011 dmorgan <dmorgan> 1.80-3.mga1
+ Revision: 97157
- imported package basket


* Tue Apr 20 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.80-3mdv2010.1
+ Revision: 536943
- Fix provides

* Sun Apr 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.80-2mdv2010.1
+ Revision: 536520
- Fix typo in file list
- Add kontact support ( patch from Cedric Bortolussi) BUG:53697
- Fix conflicts
- Fix lib package name
- Only add libs files in a lib package
- Add %%check section
- Use basket changes from brancaleone for changing the package layout

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - new upstream release 1.80
    - clean spec and improve description

* Fri Dec 11 2009 Colin Guthrie <cguthrie@mandriva.org> 1.1-0.20091211.1mdv2010.1
+ Revision: 476420
- Latest snapshot
- Remove old patch (upstream kontact stuff removed)

* Wed Oct 14 2009 Colin Guthrie <cguthrie@mandriva.org> 1.1-0.20091014.1mdv2010.0
+ Revision: 457282
- Update to latest git snapshot
- Drop unneeded patch

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.1-0.20090302.2mdv2010.0
+ Revision: 436804
- rebuild

* Mon Mar 02 2009 Colin Guthrie <cguthrie@mandriva.org> 1.1-0.20090302.1mdv2009.1
+ Revision: 347458
- New snapshot

* Fri Jan 02 2009 Colin Guthrie <cguthrie@mandriva.org> 1.1-0.20090102.1mdv2009.1
+ Revision: 323310
- Update to latest snapshot

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1.1-0.2mdv2009.1
+ Revision: 308551
- don't ship devel .so files

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use kde4 macros
      Fix Requires to require kde4 kdebase

* Thu Nov 27 2008 Colin Guthrie <cguthrie@mandriva.org> 1.1-0.1mdv2009.1
+ Revision: 307308
- Add missing build requires
- Git snapshot of KDE4 version of basket
- Remove patches that no longer apply

* Sat Jul 26 2008 Funda Wang <fwang@mandriva.org> 1.0.3.1-1mdv2009.0
+ Revision: 250123
- New version 1.0.3.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.2-2mdv2008.1
+ Revision: 160000
- Fix automake patch
- Add patch5 to fix automake check
- Remove useless  condition
- Fix loading of baket on Kontact
  Fix BuildRequires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 18357
- New version 1.0.2


* Mon Mar 19 2007 Laurent Montel <lmontel@mandriva.com> 1.0.1-1mdv2007.1
+ Revision: 146421
- 1.0.1
- 1.0

* Fri Feb 09 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc3.2mdv2007.1
+ Revision: 118519
- Fix crash
- 1.0rc3

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add lib package
    - New version -1.0Beta3
    - Fix menu
    - Reorganize file list

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 0.6.0-1mdv2007.1
+ Revision: 65805
- Fix spec file
- 0.6.0
  DONT UPLOAD IT !!!!!!!!!!!

* Sat Aug 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.0-1.beta2.3mdv2007.0
+ Revision: 52779
- Add missing source
- Increase release
- sync with cvs ( fix kontact crash ( ticket #24132))

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com> 0.6.0-1.beta2.2mdv2007.0
+ Revision: 42951
- Use xdg menu
- beta2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import basket-0.6.0-1.alpha2.1mdk

* Wed Apr 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.0-1.alpha2.1mdk
- Alpha 2  : Thanks jq for pointing me out this release

* Thu Jan 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.0-0.alpha1.2mdk
- Fix Build for x86_64

* Wed Jan 18 2006 Nicolas Lécureuil <neoclust@mandrake.org> 0.6.0-0.alpha1.1mdk
- 0.6.0 Alpha1

* Wed Jul 13 2005 Nicolas Lécureuil <neoclust@mandrake.org> 0.5.0-3mdk
- Fix File section

* Fri May 06 2005 Nicolas Lécureuil <neoclust@mandrake.org> 0.5.0-2mdk
- Fix BuildRequires 
- Fix Build For amd64

* Wed Apr 06 2005 Nicolas Lécureuil <neoclust@mandrake.org> 0.5.0-1mdk
- First release

